POST /v1/memory_stores
Memory Store を作成し、Memory Store オブジェクトを返します。
ヘッダー
| ヘッダー | 値 | 必須 |
|---|---|---|
| Authorization | Bearer $QODER_PAT | はい |
| Content-Type | application/json | はい |
リクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
name | string | はい | ストア名。サーバーが前後の空白を除去。最大 64 文字 |
description | string | はい | ストアの説明。サーバーが前後の空白を除去。最大 1024 文字 |
metadata | メタデータオブジェクト | いいえ | カスタムメタデータ。デフォルトは {} |
リクエスト例
レスポンス例
HTTP 201 Createdレスポンスフィールド
| フィールド | 型 | 説明 |
|---|---|---|
id | string | Memory Store ID、memstore_ プレフィックス |
type | string | 固定値 "memory_store" |
name | string | ストア名 |
description | string | ストアの説明 |
status | string | ストアの状態。Memory Store のステータスを参照 |
entry_count | integer | アクティブなメモリエントリ数 |
total_size | integer | アクティブなメモリエントリの総サイズ(バイト) |
metadata | メタデータオブジェクト | カスタムメタデータ |
archived_at | string | ストアがアーカイブされている場合のみ返される |
created_at | string | UTC 作成時刻 |
updated_at | string | UTC 最終更新時刻 |
注意事項
- 同名 Memory Store の作成が許可されます
- 新規作成 Store の初期状態は
activeです entry_countとtotal_sizeの初期値は0です
エラーレスポンス
| HTTP | type | 説明 |
|---|---|---|
| 400 | invalid_request_error | name、description、または metadata が欠落または不正 |
| 401 | authentication_error | 認証トークンが提供されていないまたは無効 |
関連項目
Memory Stores
Agent に Session をまたいだ永続メモリを与える。